OpenCL for older Intel CPUs with IGP on Ubuntu

Message boards : GPUs : OpenCL for older Intel CPUs with IGP on Ubuntu
Message board moderation

To post messages, you must log in.

AuthorMessage
ProDigit

Send message
Joined: 8 Nov 19
Posts: 546
United States
Message 99351 - Posted: 18 Jun 2020, 0:41:12 UTC

for future reference, many older than coffee lake CPUs, support OpenCL 1.2 as well, allowing you to run GPU projects on older Intel Core, and Intel Intel Atom processors (like the N3060 and earlier).

They're not particularly fast, but now you can!
Generally speaking, you'd have to install the intel-opencl support files:
sudo add-apt-repository ppa:intel-opencl/intel-opencl
sudo apt update
sudo apt install intel-opencl-icd

However, if you have an old Intel CPU, the following 'beignet' drivers should do the trick, and can be natively installed from the included Ubuntu Repositories:
sudo apt install beignet-opencl-icd

it supports following IGPs:
    3rd Generation Intel Core Processors "Ivybridge".
    3rd Generation Intel Atom Processors "BayTrail".
    4th Generation Intel Core Processors "Haswell", need kernel patch if your linux kernel older than 4.2, see the "Known Issues" section.
    5th Generation Intel Core Processors "Broadwell".
    5th Generation Intel Atom Processors "Braswell".
    6th Generation Intel Core Processors "Skylake" and "Kabylake".
    5th Generation Intel Atom Processors "Broxten" or "Apollolake".




I'd like to ask the community if anyone is aware of any project needing more than OpenCL 1.2?
because that's all the Beignet drivers support.

ID: 99351 · Report as offensive     Reply Quote

Message boards : GPUs : OpenCL for older Intel CPUs with IGP on Ubuntu

Copyright © 2020 University of California. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation.